# Customer returns: Bimp API methods

URL: https://bimpsoft.com/en/help/developers/api-reference/customer-inventories-return/

Bimp API methods for the “Customer returns” resource (`/org2/customer-inventories-return/…`): 5 methods. Base URL: `https://app.bimpsoft.com`. All requests except login pass the company token in the `access-token` header — see [Getting started with the API](/en/help/developers/api-getting-started/).

| Method | What it does |
|---|---|
| [`POST /org2/customer-inventories-return/api-read`](#api-read) | A request to obtain detailed information for a particular customer's inventory returns |
| [`POST /org2/customer-inventories-return/api-readList`](#api-read-list) | A request to view a list of the customer's inventory returns |
| [`POST /org2/customer-inventories-return/api-create`](#api-create) | A request to create a new customer inventory return |
| [`POST /org2/customer-inventories-return/api-update`](#api-update) | A request to update information for an existing customer inventory return |
| [`POST /org2/customer-inventories-return/api-cancel`](#api-cancel) | Cancel a customer return of inventories document |

## api-read

`POST /org2/customer-inventories-return/api-read`

A request to obtain detailed information for a particular customer's inventory returns

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for a return of inventories document |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) | A unique uuid key for a return of inventories document |
| `date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `name` | string |  |
| `comment` | string | An optional text field for any additional notes or comments related to the document |
| `number` | string | The number of the customer payment document |
| `organization` | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `counterparty` | string (uuid) | A unique uuid key for a counterparty |
| `warehouse` | string (uuid) | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
| `contract` | string (uuid) | The unique identifier for the counterparty's contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
| `responsible` | string (uuid) | A unique uuid key for a responsible employee |
| `priceList` | string (uuid) | A unique identifier for the Price List, obtainable from the /priceList/api-readList request |
| `currency` | string (uuid) | A unique uuid key for a currency |
| `documentSum` | number | Total amount of the document |
| `VATaccounted` | boolean | Whether VAT is included |
| `VATamount` | number |  |
| `baseDocument` | string (uuid) | A Sales invoice, on which Return of inventories is based |
| `products` | object[] |  |
| `products[].nomenclature` | string (uuid) | A unique uuid key for a product nomenclature |
| `products[].name` | string | Product name |
| `products[].count` | number | A numerical value representing the quantity of the product |
| `products[].cost` | number | A numerical value representing the cost of the product |
| `products[].sum` | number |  |
| `products[].reserve` | number |  |
| `products[].discount` | number | The amount of discount |
| `products[].VAT` | string (uuid) | A unique uuid key for a company VAT |
| `products[].VATamount` | number |  |
| `products[].party` | string (uuid) \| null | Party / batch UUID of the line |
| `products[].serialNumbers` | string (uuid)[] | Serial number UUIDs of the line |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/customer-inventories-return/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-readList

`POST /org2/customer-inventories-return/api-readList`

A request to view a list of the customer's inventory returns

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `pagination` | object | yes |  |
| `pagination.offset` | number | yes | Begin from {offset} elements |
| `pagination.count` | number | yes | Limit of paginated elemets |
| `periodable` | object[] |  | Period range as a tuple of two ISO 8601 date-time strings in UTC (e.g. '2012-10-05T14:48:00.000Z') |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `[].uuid` | string (uuid) | A unique uuid key for a return of inventories document |
| `[].date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `[].name` | string |  |
| `[].comment` | string | An optional text field for any additional notes or comments related to the document |
| `[].number` | string | The number of the customer payment document |
| `[].organization` | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `[].counterparty` | string (uuid) | A unique uuid key for a counterparty |
| `[].responsible` | string (uuid) | A unique uuid key for a responsible employee |
| `[].currency` | string (uuid) | A unique uuid key for a currency |
| `[].documentSum` | number | Total amount of the document |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/customer-inventories-return/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'
```

## api-create

`POST /org2/customer-inventories-return/api-create`

A request to create a new customer inventory return

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `baseDocument` | string (uuid) | yes | A Sales invoice, on which Return of inventories is based |
| `date` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `number` | string |  | The number of the customer payment document |
| `warehouse` | string (uuid) |  | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
| `responsible` | string (uuid) |  | A unique uuid key for a responsible employee |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `VATaccounted` | boolean |  | Whether VAT is included |
| `products` | object[] |  |  |
| `products[].cost` | number | yes | A numerical value representing the cost of the product |
| `products[].count` | number | yes | A numerical value representing the quantity of the product |
| `products[].nomenclature` | string (uuid) | yes | A unique uuid key for a product nomenclature |
| `products[].VAT` | string (uuid) |  | A unique uuid key for a company VAT |
| `products[].party` | string (uuid) |  | Party / batch UUID from the party catalog (column «Номер партії») |
| `products[].serialNumbers` | string (uuid)[] |  | Serial number UUIDs returned to the warehouse. Pass together with party; the count must equal the line count. |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) | A unique uuid key for a return of inventories document |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/customer-inventories-return/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"baseDocument":"00000000-0000-0000-0000-000000000000"}'
```

## api-update

`POST /org2/customer-inventories-return/api-update`

A request to update information for an existing customer inventory return

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for a return of inventories document |
| `date` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `number` | string |  | The number of the customer payment document |
| `warehouse` | string (uuid) |  | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
| `responsible` | string (uuid) |  | A unique uuid key for a responsible employee |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `VATaccounted` | boolean |  | Whether VAT is included |
| `baseDocument` | string (uuid) |  | A Sales invoice, on which Return of inventories is based |
| `products` | object[] |  |  |
| `products[].cost` | number | yes | A numerical value representing the cost of the product |
| `products[].count` | number | yes | A numerical value representing the quantity of the product |
| `products[].nomenclature` | string (uuid) | yes | A unique uuid key for a product nomenclature |
| `products[].VAT` | string (uuid) |  | A unique uuid key for a company VAT |
| `products[].party` | string (uuid) |  | Party / batch UUID from the party catalog (column «Номер партії») |
| `products[].serialNumbers` | string (uuid)[] |  | Serial number UUIDs returned to the warehouse. Pass together with party; the count must equal the line count. |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) | A unique uuid key for a return of inventories document |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/customer-inventories-return/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-cancel

`POST /org2/customer-inventories-return/api-cancel`

Cancel a customer return of inventories document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for the customer return of inventories document |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `success` | boolean (true) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/customer-inventories-return/api-cancel' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

Interactive documentation with a test request option: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.
